#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    float float_eq_const_0_0;
    float float_eq_const_1_0;
    float float_eq_const_2_0;
    float float_eq_const_3_0;
    float float_eq_const_4_0;
    float float_eq_const_5_0;
    float float_eq_const_6_0;

    if (size < 28)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&float_eq_const_0_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_1_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_2_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_3_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_4_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_5_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_6_0, &data[i], 4);
    i += 4;


    if (float_eq_const_0_0 == 1.5856974E14f)
    if (float_eq_const_1_0 == -5.2658106E-24f)
    if (float_eq_const_2_0 == 3.1277737E25f)
    if (float_eq_const_3_0 == 1.816586E-21f)
    if (float_eq_const_4_0 == 1.2336098E-25f)
    if (float_eq_const_5_0 == -4.159216E-14f)
    if (float_eq_const_6_0 == NAN)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
